Bug 63344 - Kudzu incorrectly detect secondary video card, not the primary one.
Kudzu incorrectly detect secondary video card, not the primary one.
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-12 15:45 EDT by Dan de Haan
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-28 14:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan de Haan 2002-04-12 15:45:18 EDT
From Bugzilla Helper:

Description of problem:
Sytems is a PIII-800 on a Asus P2B-F board.  I have a 16M TNT AGP card and a 4M
S3 Virge DX PCI card.  The biod is set up to init the AGP card first.

Everythig is run from the TNT card, but the X setup detects only the S3 card. 
It should have set up the TNT card (or both) not just the S3.

With the S3 card remove, the installer detects the TNT correctly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot off installation CD
3.get to X setup, see it detect wrong card.
Comment 1 Michael Fulbright 2002-04-15 15:04:56 EDT
If you boot the installer and wait till you get to stage where you see 'Running
anaconda...', got VC2 and try this

import kudzu
print kudzu.probe(kudzu.CLASS_VIDEO, kudzu.BUS_UNSPEC, kudzu.PROBE_ALL)

and post the output here please.
Comment 2 Dan de Haan 2002-04-15 16:08:21 EDT
Okay, here it is:

[Desc:        S3 Inc|ViRGE/DX or /GX
 Driver:      Card: S3 ViRGE (gerneic)
 Device:      fb0
 , Desc:       nVidia Corporation|NV4 [RIVA TNT]
 Driver:      Card: RIVA TNT
 Device:      fb0
Comment 3 Michael Fulbright 2002-04-15 18:22:49 EDT
kudzu is reporting the s3 card as the primary card, so anaconda uses it.

Comment 4 petrosyan 2008-02-28 14:22:02 EST
Is this bug still present in the latest Fedora release or rawhide?
Comment 5 Bill Nottingham 2008-02-28 14:53:18 EST
Actually, in the very near future (Fedora 9) kudzu should not be used any more
for probing for video cards. Hence, closing.

Note You need to log in before you can comment on or make changes to this bug.